LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Determining which Run Time Engine components are required

Highlighted

I have an application which was developed in LabVIEW 2013.  I created a development environment with 64-bit LabVIEW 2017 then opened the original code.  The application is now saved as LV2017 and will run on the development PC from source without errors.

When I created an executable of the app, it will also run on the development PC without errors.

If I try to run the app on the target PC, I get a broken arrow and this error:

20180405_64-bitEXError.jpg

On the target PC I have installed LabVIEW Runtime 2017 SP1 f1 (64-bit) and NI-VISA Runtime 17.5.

How do I determine which components are required on the target PC to allow the app to run?  or perhaps there's another issue I've not thought of?

 

0 Kudos
Message 1 of 2
(460 Views)

Hi bmann,

 

How do I determine which components are required on the target PC to allow the app to run?  or perhaps there's another issue I've not thought of?

Create an installer setup in your project: LabVIEW is quite good (nowadays) to select the needed drivers!

Then use this setup routine instead of installing (just) RunTimeEngine "manually"…

Best regards,
GerdW
CLAD expired, using LV2011SP1 + LV2017 (+LV2019 sometimes) on Win7+cRIO
Kudos are welcome Smiley Wink

0 Kudos
Message 2 of 2
(445 Views)